Get Campaign Pipeline Automation
curl --request GET \
--url https://api.decodahealth.com/opportunity/campaign/{campaign_id}/pipeline-automation \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/opportunity/campaign/{campaign_id}/pipeline-automation"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/opportunity/campaign/{campaign_id}/pipeline-automation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaignId": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"pipelineId": "<string>",
"pipelineName": "<string>",
"isPipelineAttached": false,
"stages": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"currentCount": 0,
"enteredCount": 0,
"advancedCount": 0,
"staleCount": 0,
"pausedCount": 0,
"notEnrolledCount": 0,
"automation": {
"id": "<string>",
"isActive": true,
"exitPolicy": "CANCEL_ON_EXIT",
"entryStepId": "<string>",
"name": "<string>",
"description": "<string>",
"steps": [
{
"id": "<string>",
"effectType": "SEND_SMS",
"displayOrder": 123,
"config": {},
"waiting": 0,
"succeeded": 0,
"skipped": 0,
"failed": 0,
"delivered": 0,
"opened": 0,
"openRate": 123,
"replied": 0,
"replyRate": 123
}
],
"transitions": [
{
"id": "<string>",
"fromStepId": "<string>",
"toStepId": "<string>",
"isDefault": true,
"label": "<string>",
"condition": {
"event": "DELIVERED",
"kind": "PREVIOUS_EMAIL_EVENT"
}
}
],
"activeRuns": 0,
"stepsFailed": 0,
"lastActivityAt": "2023-11-07T05:31:56Z"
}
}
],
"stepsFailed": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
Get Campaign Pipeline Automation
Stage-by-stage occupancy, flow and automation health for one campaign.
GET
/
opportunity
/
campaign
/
{campaign_id}
/
pipeline-automation
Get Campaign Pipeline Automation
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response

